Subject: Re: [PATCH v2] lib: stackdepot: Add support to configure STACK_HASH_SIZE

From: Andrew Morton <[email-masked]>
Date: Thu, 3 Dec 2020 12:32:53 -0800

On Thu, 3 Dec 2020 17:26:59 +0000 Vincenzo Frascino <[email-masked]> wrote:

> 
> 
> On 12/3/20 4:34 PM, Vincenzo Frascino wrote:
> > Hi Andrey,
> > 
> > On 12/3/20 4:15 PM, Andrey Konovalov wrote:
> >> On Thu, Dec 3, 2020 at 5:04 PM Qian Cai <[email-masked]> wrote:
> >>>
> >>> On Thu, 2020-11-26 at 10:13 +0530, [email-masked] wrote:
> >>>> From: Yogesh Lal <[email-masked]>
> >>>>
> >>>> Add a kernel parameter stack_hash_order to configure STACK_HASH_SIZE.
> >>>>
> >>>> Aim is to have configurable value for STACK_HASH_SIZE, so that one
> >>>> can configure it depending on usecase there by reducing the static
> >>>> memory overhead.
> >>>>
> >>>> One example is of Page Owner, default value of STACK_HASH_SIZE lead
> >>>> stack depot to consume 8MB of static memory. Making it configurable
> >>>> and use lower value helps to enable features like CONFIG_PAGE_OWNER
> >>>> without any significant overhead.
> >>>>
> >>>> Suggested-by: Minchan Kim <[email-masked]>
> >>>> Signed-off-by: Yogesh Lal <[email-masked]>
> >>>> Signed-off-by: Vijayanand Jitta <[email-masked]>
> >>>
> >>> Reverting this commit on today's linux-next fixed boot crash with KASAN.
> >>>
> >>> .config:
> >>> https://cailca.coding.net/public/linux/mm/git/files/master/x86.config
> >>> https://cailca.coding.net/public/linux/mm/git/files/master/arm64.config
> >>
> >> Vincenzo, Catalin, looks like this is the cause of the crash you
> >> observed. Reverting this commit from next-20201203 fixes KASAN for me.
> >>
> >> Thanks for the report Qian!
> >>
> > 
> > Thank you for this. I will try and let you know as well.
> > 
> 
> Reverting the patch above works for me as well, and the problem seems to be the
> order on which the initcalls are invoked. In fact stackdepot should be
> initialized before kasan from what I can see.

Thanks, all.  I'll drop
lib-stackdepot-add-support-to-configure-stack_hash_size.patch.